# Spiffo

A multi-purpose Discord integration bot for Project Zomboid.

## Features

- Interact with the remote console via slash commands in Discord.
- A live count of all online players as the bot's activity status.
- Views of complicated player data through direct access to the players.db file.
- Automated mod update management including: restart warnings, saving and exiting, restarting the server.
- Player connect and disconnect alerts in a specified Discord channel.
- Ability to read directly from the server console log for accurate up-to-date info.
- Super easy deployment via docker with environment variables for configuration.

## Why Did I Make This?

All existing bots are poorly coded, slow and/or lack certain features.

They usually fall into a couple of categories; single purpose and great or multi-purpose and bad.

I wanted to make a clean, beautiful and functional bot with ALL of the features!
